### Hierarchy

- unknown
  - TradeInfo

## Index

### Constructors

- constructor

### Methods

- clearContract
- clearOffer
- getAmountAsLong
- getArbitratorNodeAddress
- getContract
- getContractAsJson
- getDate
- getDisputeState
- getIsCompleted
- getIsDepositConfirmed
- getIsDepositPublished
- getIsDepositUnlocked
- getIsPaymentReceived
- getIsPaymentSent
- getIsPayoutConfirmed
- getIsPayoutPublished
- getIsPayoutUnlocked
- getMakerDepositTxId
- getOffer
- getPayoutState
- getPayoutTxId
- getPeriodState
- getPhase
- getPrice
- getRole
- getShortId
- getState
- getTakerDepositTxId
- getTakerFeeAsLong
- getTakerFeeTxId
- getTradeId
- getTradeVolume
- getTradingPeerNodeAddress
- getTxFeeAsLong
- hasContract
- hasOffer
- serializeBinary
- setAmountAsLong
- setArbitratorNodeAddress
- setContract
- setContractAsJson
- setDate
- setDisputeState
- setIsCompleted
- setIsDepositConfirmed
- setIsDepositPublished
- setIsDepositUnlocked
- setIsPaymentReceived
- setIsPaymentSent
- setIsPayoutConfirmed
- setIsPayoutPublished
- setIsPayoutUnlocked
- setMakerDepositTxId
- setOffer
- setPayoutState
- setPayoutTxId
- setPeriodState
- setPhase
- setPrice
- setRole
- setShortId
- setState
- setTakerDepositTxId
- setTakerFeeAsLong
- setTakerFeeTxId
- setTradeId
- setTradeVolume
- setTradingPeerNodeAddress
- setTxFeeAsLong
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TradeInfo(): TradeInfo

- Inherited from jspb.Message.constructor

  #### Returns TradeInfo

## Methods

### clearContract

- clearContract(): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2703

  #### Returns TradeInfo

### clearOffer

- clearOffer(): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2617

  #### Returns TradeInfo

### getAmountAsLong

- getAmountAsLong(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2643

  #### Returns number

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2649

  #### Returns string

### getContract

- getContract(): undefined | ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2700

  #### Returns undefined | ContractInfo

### getContractAsJson

- getContractAsJson(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2697

  #### Returns string

### getDate

- getDate(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2625

  #### Returns number

### getDisputeState

- getDisputeState(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2667

  #### Returns string

### getIsCompleted

- getIsCompleted(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2694

  #### Returns boolean

### getIsDepositConfirmed

- getIsDepositConfirmed(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2673

  #### Returns boolean

### getIsDepositPublished

- getIsDepositPublished(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2670

  #### Returns boolean

### getIsDepositUnlocked

- getIsDepositUnlocked(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2676

  #### Returns boolean

### getIsPaymentReceived

- getIsPaymentReceived(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2682

  #### Returns boolean

### getIsPaymentSent

- getIsPaymentSent(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2679

  #### Returns boolean

### getIsPayoutConfirmed

- getIsPayoutConfirmed(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2688

  #### Returns boolean

### getIsPayoutPublished

- getIsPayoutPublished(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2685

  #### Returns boolean

### getIsPayoutUnlocked

- getIsPayoutUnlocked(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2691

  #### Returns boolean

### getMakerDepositTxId

- getMakerDepositTxId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2708

  #### Returns string

### getOffer

- getOffer(): undefined | OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2614

  #### Returns undefined | OfferInfo

### getPayoutState

- getPayoutState(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2664

  #### Returns string

### getPayoutTxId

- getPayoutTxId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2640

  #### Returns string

### getPeriodState

- getPeriodState(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2661

  #### Returns string

### getPhase

- getPhase(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2658

  #### Returns string

### getPrice

- getPrice(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2646

  #### Returns string

### getRole

- getRole(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2628

  #### Returns string

### getShortId

- getShortId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2622

  #### Returns string

### getState

- getState(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2655

  #### Returns string

### getTakerDepositTxId

- getTakerDepositTxId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2711

  #### Returns string

### getTakerFeeAsLong

- getTakerFeeAsLong(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2634

  #### Returns number

### getTakerFeeTxId

- getTakerFeeTxId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2637

  #### Returns string

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2619

  #### Returns string

### getTradeVolume

- getTradeVolume(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2705

  #### Returns string

### getTradingPeerNodeAddress

- getTradingPeerNodeAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2652

  #### Returns string

### getTxFeeAsLong

- getTxFeeAsLong(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2631

  #### Returns number

### hasContract

- hasContract(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2702

  #### Returns boolean

### hasOffer

- hasOffer(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2616

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2714

  #### Returns Uint8Array

### setAmountAsLong

- setAmountAsLong(value: number): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2644

  #### Parameters

  - ##### value: number

  #### Returns TradeInfo

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2650

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setContract

- setContract(value?: ContractInfo ): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2701

  #### Parameters

  - ##### Optional value: ContractInfo

  #### Returns TradeInfo

### setContractAsJson

- setContractAsJson(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2698

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setDate

- setDate(value: number): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2626

  #### Parameters

  - ##### value: number

  #### Returns TradeInfo

### setDisputeState

- setDisputeState(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2668

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setIsCompleted

- setIsCompleted(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2695

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsDepositConfirmed

- setIsDepositConfirmed(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2674

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsDepositPublished

- setIsDepositPublished(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2671

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsDepositUnlocked

- setIsDepositUnlocked(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2677

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsPaymentReceived

- setIsPaymentReceived(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2683

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsPaymentSent

- setIsPaymentSent(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2680

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsPayoutConfirmed

- setIsPayoutConfirmed(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2689

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsPayoutPublished

- setIsPayoutPublished(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2686

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setIsPayoutUnlocked

- setIsPayoutUnlocked(value: boolean): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2692

  #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

### setMakerDepositTxId

- setMakerDepositTxId(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2709

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setOffer

- setOffer(value?: OfferInfo ): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2615

  #### Parameters

  - ##### Optional value: OfferInfo

  #### Returns TradeInfo

### setPayoutState

- setPayoutState(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2665

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setPayoutTxId

- setPayoutTxId(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2641

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setPeriodState

- setPeriodState(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2662

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setPhase

- setPhase(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2659

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setPrice

- setPrice(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2647

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setRole

- setRole(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2629

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setShortId

- setShortId(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2623

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setState

- setState(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2656

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setTakerDepositTxId

- setTakerDepositTxId(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2712

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setTakerFeeAsLong

- setTakerFeeAsLong(value: number): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2635

  #### Parameters

  - ##### value: number

  #### Returns TradeInfo

### setTakerFeeTxId

- setTakerFeeTxId(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2638

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setTradeId

- setTradeId(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2620

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setTradeVolume

- setTradeVolume(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2706

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setTradingPeerNodeAddress

- setTradingPeerNodeAddress(value: string): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2653

  #### Parameters

  - ##### value: string

  #### Returns TradeInfo

### setTxFeeAsLong

- setTxFeeAsLong(value: number): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2632

  #### Parameters

  - ##### value: number

  #### Returns TradeInfo

### toObject

- toObject(includeInstance?: boolean): TradeInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2715

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TradeInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2718

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeInfo, reader: BinaryReader): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2719

  #### Parameters

  - ##### message: TradeInfo

  - ##### reader: BinaryReader

  #### Returns TradeInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2717

  #### Parameters

  - ##### message: TradeInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TradeInfo ): TradeInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2716

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeInfo

  #### Returns TradeInfo . AsObject

Generated using TypeDoc